@import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Exo+2:ital,wght@0,100..900;1,100..900&family=Orbitron:wght@400..900&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
    font-family: "Orbitron", sans-serif;
}

body {
    background: #181818;
}

section {
    & header {
        background: #212121;

        & .navbar {
            & .navbar-toggler {
                border: none;

                &:focus {
                    box-shadow: none;
                }
                
                & i {
                    color: #fff;
                    font-size: 1.5em;
                }
            }

            & .collapse {
                & .navbar-nav {
                    margin: auto;
                    gap: 10px;

                    & .nav-item {
                        & .nav-link {
                            color: #fff;
                            font-weight: 600;
                        }
                    }
                }

                & .navbar-sub {
                    & a {
                        background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                        color: #fff;
                        font-weight: 600;
                        padding: 10px 15px;
                        border-radius: 10px;
                        text-decoration: none;
                        text-shadow: 0 0 3px #000;
                        cursor: pointer;
                    }
                }
            }
        }

        & .modal {
            & .modal-content {
                background: #181818;
                padding: 20px;
                border: none;

                & .btn-close {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    color: #ee1c14;
                    background: #181818;
                    font-size: 2em;

                    &:focus {
                        box-shadow: none;
                    }
                }

                & .modal-header {
                    padding: 10px 20px 0 15px;
                    border: none;

                    & h4 {
                        color: #fff;
                    }
                }

                & .modal-body {
                    & .form-body {
                        & .line {
                            display: flex;
                            gap: 15px;

                            & .colum {
                                display: flex;
                                flex-direction: column;
                                width: 100%;
                            }
                        }

                        & label {
                            color: #fff;
                        }

                        & .mb-3 {
                            & input {
                                background: #292929;
                                color: #fff;
                                border: none;

                                &:focus {
                                    box-shadow: none;
                                }

                                &::placeholder {
                                    color: #a1a1a1;
                                }
                            }

                            & select {
                                background: #292929;
                                color: #fff;
                                border: none;

                                &:focus {
                                    box-shadow: none;
                                }
                            }
                        }

                        & button {
                            background: #0dd107;
                            color: #fff;
                            margin: auto;
                            width: 100%;
                            padding: 5px 0;
                            border-radius: 7px;

                            &:hover {
                                opacity: .8;
                            }
                        }
                    }
                }
            }
        }
    }

    & main {
        & .title {
            & h6 {
                display: flex;
                color: #acacac;
                gap: 10px;

                & span {
                    animation: title-animation 3s linear infinite;
                }
            }

            & .title-details {
                background: #5c5c5c;
                width: 100%;
                height: 2px;
                border-radius: 7px;
            }
        }

        & .home {
            padding: 7rem 0;
            background-image: radial-gradient(#464646 1px, transparent 0);
            background-size: 25px 25px;
            background-position: -5px -5px;

            & .home-content {
                display: flex;
                justify-content: space-between;
                align-items: center;

                & .home-body {
                    & h2 {
                        color: #fff;
                        font-family: "Audiowide", sans-serif;
                    }

                    & h6 {
                        color: #fff;
                        font-family: "Audiowide", sans-serif;
                        margin-bottom: 2rem;
                    }

                    & a {
                        background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                        color: #fff;
                        font-weight: 600;
                        padding: 10px 15px;
                        border-radius: 10px;
                        text-decoration: none;
                        text-shadow: 0 0 3px #000;
                    }
                }

                & .home-img {

                    & img {
                        display: block;
                    }
                }
            }
        }

        & .slider {
            background: #212121;
            width: 100%;
            height: var(--height);
            overflow: hidden;
            mask-image: linear-gradient(to right, transparent, #000 10% 80%, transparent);

            & .list {
                display: flex;
                width: 100%;
                min-width: calc(var(--width) * var(--quantity));
                position: relative;

                & .item {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    width: var(--width);
                    height: var(--height);
                    position: absolute;
                    left: 100%;
                    animation: autoRun 35s linear infinite;
                    transition: filter 0.5s;
                    animation-delay: calc((35s / var(--quantity)) * (var(--position) - 1) - 35s) !important;

                    & img {
                        width: 100%;
                    }

                    &:hover {
                        filter: grayscale(0);
                    }
                }
            }
        }

        & .advantegens {
            padding: 3rem 0 4rem 0;

            & .list {
                display: grid;
                grid-auto-rows: 1fr;
                grid-gap: 15px;
                margin-top: 2vh;

                & .card {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: row;
                    padding: 2px;
                    border-radius: 16px;
                    color: #fff;
                    border-radius: 10px;
                    background: #212121;
                    border: none;
                    cursor: default;
                    transition: .8s;

                    & i {
                        font-size: 4.2em;
                        padding: 0 1rem;
                        background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                        -webkit-background-clip: text;
                        -webkit-text-fill-color: transparent;
                    }

                    & .card-body {
                        padding: 0;
                        padding: 1rem 10px;

                        & h4 {
                            background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                            -webkit-background-clip: text;
                            -webkit-text-fill-color: transparent;
                            font-weight: 500;
                            margin: 0;
                            font-family: "Audiowide", sans-serif;
                        }

                        & h6 {
                            color: #c2c2c2;
                        }
                    }

                    &:hover {
                        filter: grayscale(0) !important;
                        transition: .5s;
                    }
                }

                &:hover .card {
                    filter: grayscale(1);
                    transition: .8s;
                }
            }
        }

        & .about {
            & .about-body {
                display: flex;
                flex-direction: column;
                padding-top: 3rem;
                padding-bottom: 5rem;
                gap: 40px;

                & .card {
                    display: flex;
                    background: none;
                    border: none;
                    gap: 40px;

                    & img {
                        border-radius: 15px;
                    }

                    & .card-body {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        flex-direction: column;
                        text-align: center;
                        background: #212121;
                        border-radius: 15px;

                        & h4 {
                            background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                            -webkit-background-clip: text;
                            -webkit-text-fill-color: transparent;
                            font-size: 2.2em;
                            font-weight: 500;
                            font-family: "Audiowide", sans-serif;
                        }

                        & h6 {
                            color: #929292;
                            font-size: 1.2em;
                        }
                    }
                }
            }
        }

        & .activity {
            padding: 5rem 0;
            background-image: radial-gradient(#464646 1px, transparent 0);
            background-size: 25px 25px;
            background-position: -5px -5px;

            & .activity-body {
                & .item {
                    display: flex;
                    padding: 3rem 0;
                    gap: 50px;

                    & .item-body {
                        display: flex;
                        flex-direction: column;
                        justify-content: center;

                        & h2 {
                            background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                            -webkit-background-clip: text;
                            -webkit-text-fill-color: transparent;
                        }

                        & h5 {
                            color: #fff;
                        }

                        & h6 {
                            color: #929292;
                            font-weight: 500;
                        }

                        & span {
                            color: #757575;
                            font-weight: 500;

                            & i {
                                color: #17ec10;
                            }
                        }
                    }

                    & img {
                        height: 100%;
                        border-radius: 15px;
                    }
                }
            }
        }

        & .plan {
            padding: 5rem 0;

            & .carrossel-container {
                position: relative;
                overflow: hidden;
                padding: 20px 40px;
                padding-bottom: 3rem;
                margin: auto;

                & .carrossel-track {
                    display: flex;
                    overflow-x: hidden;
                    scroll-behavior: smooth;

                    & .carrossel-card {
                        padding: 10px;
                        transition: transform 0.3s;

                        & .carrossel-card-inner {
                            display: flex;
                            flex-direction: column;
                            background: #222;
                            border-radius: 15px;
                            overflow: hidden;
                            padding: 20px 15px;
                            gap: 7px;

                            & .carrossel-content {
                                padding: 15px;
                                display: flex;
                                justify-content: center;
                                flex-direction: column;
                                font-size: 14px;

                                & .card-header {
                                    padding: 0 10px;

                                    & h2 {
                                        display: flex;
                                        align-items: center;
                                        justify-content: start;
                                        flex-direction: row;
                                        color: #fff;
                                        gap: 2px;

                                        & i {
                                            font-size: 1em;
                                            background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                                            -webkit-background-clip: text;
                                            -webkit-text-fill-color: transparent;
                                        }
                                    }

                                    & h6 {
                                        color: #cccccc;
                                    }
                                }

                                & hr {
                                    color: #5c5c5c;
                                }

                                & .plan-advantagens {
                                    padding: 0 10px;

                                    & h6 {
                                        color: #a1a1a1;
                                        margin: 0;
                                        margin-bottom: 5px;

                                        & i {
                                            font-size: 1.3em;
                                            transform: translateY(3px);
                                        }

                                        & .i-ye {
                                            color: #17ec10;
                                        }

                                        & .i-not {
                                            color: #ee1c14;
                                        }
                                    }
                                }

                                & a {
                                    background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                                    color: #fff;
                                    font-weight: 600;
                                    padding: 10px 15px;
                                    border-radius: 10px;
                                    font-size: 1.1em;
                                    text-decoration: none;
                                    text-shadow: 0 0 3px #141414;
                                    text-align: center;
                                    margin-top: 1rem;
                                }
                            }
                        }
                    }
                }
            }

            & .btn-nav {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                background: #222;
                color: #fff;
                border: none;
                border-radius: 50%;
                font-size: 20px;
                width: 32px;
                height: 32px;
                cursor: pointer;
                z-index: 10;
            }

            & .btn-prev {
                left: 10px;
            }

            & .btn-next {
                right: 10px;
            }
        }

        & .FAQs {
            padding: 5rem 0;
            background-image: radial-gradient(#464646 1px, transparent 0);
            background-size: 25px 25px;
            background-position: -5px -5px;

            & .accordion {
                background: none;
                border-radius: 25px;
                margin: auto;
                margin-top: 4vh;

                & .accordion-item {
                    background: #212121;
                    color: #fff;
                    border: none;
                    margin-bottom: 1.2vh;
                    border-radius: 20px;
                    transition: 1.2s;

                    &:hover {
                        transition: 1.2s;
                    }

                    & .accordion-header {
                        background: none;
                        border-radius: 25px;
                        border: none;
                        padding: 0;

                        & button {
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            padding: 20px 30px;
                            background: #212121;
                            color: #fff;
                            border: none;
                            border: 3px solid #2c2c2c;
                            border-radius: 25px;
                            font-size: .5em;
                            font-weight: 400;

                            &:focus {
                                box-shadow: none;
                            }

                            & svg,
                            i {
                                display: flex;
                                align-items: center;
                                justify-content: center;
                                font-size: 1em;
                                background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                                -webkit-background-clip: text;
                                -webkit-text-fill-color: transparent;
                                font-size: 20px;
                            }
                        }
                    }

                    & .accordion-collapse {
                        padding: 0px 30px;

                        & hr {
                            color: #d1d1d1;
                            margin: 0;
                        }

                        & .accordion-body {
                            padding: 15px 0;
                        }
                    }
                }
            }

            & .accordion-button::after {
                display: none;
            }

            & .accordion-button {
                border: none !important;
                box-shadow: none !important;
                outline: none !important;
            }

            & .accordion-button:focus {
                border: none !important;
                box-shadow: none !important;
                outline: none !important;
            }
        }
    }

    & footer {
        border-top: 2px solid #5c5c5c;
        padding: 3rem 0;

        & .footer-body {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: row;

            & .item:nth-child(1) {
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
                gap: 5px;

                & img {
                    width: 20%;
                }

                & h3 {
                    font-weight: 700;
                    background: linear-gradient(135deg, #D946EF 0%, #7C3AED 35%, #22D3EE 70%, #06B6D4 100%);
                    -webkit-background-clip: text;
                    -webkit-text-fill-color: transparent;
                }

                & ul {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: row;
                    list-style: none;
                    gap: 15px;
                    padding: 0;

                    & li {
                        width: 25px;

                        & a {
                            text-decoration: none;

                            & img {
                                width: 100%;
                            }
                        }

                        &:nth-child(3) {
                            width: 30px;
                        }

                        &:hover {
                            opacity: .8;
                        }
                    }
                }

                & h6 {
                    color: #757575;
                    text-align: center;
                }
            }
        }
    }
}

@keyframes autoRun {
    from {
        left: 100%;
    }

    to {
        left: calc(var(--width) * -1);
    }
}

@keyframes reversePlay {
    from {
        left: calc(var(--width) * -1);
    }

    to {
        left: 100%;
    }
}

@keyframes title-animation {
    0% {
        transform: translateX(0px);
    }

    50% {
        transform: translateX(5px);
    }

    100% {
        transform: translateX(0px);
    }
}
